<?php

use think\migration\Migrator;

class CreateAgentEnterpriseSizeType extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('agent_enterprise_size_type', ['engine' => 'MyISAM', 'comment' => '代理商企业规模类型表']);
        $table->addColumn('language_id', 'integer', ['null' => false, 'default' => 0, 'comment' => '语言ID'])
            ->addColumn('name', 'string', ['limit' => 64, 'null' => false, 'comment' => '类型名'])
            ->addColumn('value', 'string', ['limit' => 64, 'null' => false, 'comment' => '类型值'])
            ->addColumn('desc', 'string', ['limit' => 255, 'null' => true, 'default' => null, 'comment' => '描述'])
            ->addColumn('sort', 'integer', ['null' => false, 'default' => 0, 'comment' => '排序'])
            ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->create();
    }
}
